<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<%
LoginID=trim(session("LoginID"))
if LoginID="" then LoginID=0
UserName=GetTableValue ("tblUser","Name","ID",LoginID)



maxmessage=15
currentpage=request("page")
if currentpage="" then 
currentpage=1
end if

set rs=Server.CreateObject("ADODB.RecordSet")
sql="select ID,FromID,Class,Title,Title2,Times from tblDoc where CurrentID="& LoginID &" and ConfirmerID<>"& LoginID &" and CollateID<>"& LoginID &" Order by ID desc"

rs.pagesize=maxmessage
rs.open sql,oConn,1,1
totalpage=rs.pagecount
totalmessage=rs.recordcount
if totalmessage<>0 then
	rs.AbsolutePage=currentpage
	msgArr=rs.getrows(maxmessage)
end if

rs.close
%>
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<h2><font color=#ff0000>等待批示的公文</font></h2>
<%
response.write "&nbsp;待批公文 共" & totalmessage & "条/" & totalpage & "页，每页"& maxmessage &"条"
if totalpage>0 then
	response.write "，第" & currentpage & "页　"
end if

if totalpage>1 then
	if currentpage>1 then%>
		<a href="<%=Request.ServerVariables("SCRIPT_NAME")%>?page=<%=currentpage-1%>">上页</a>　　
		<%
	end if

	if currentpage+1<=totalpage then%>
		<a href="<%=Request.ServerVariables("SCRIPT_NAME")%>?page=<%=currentpage+1%>">下页</a>
		<%
	end if
end if
%>
<table border=0 width="100%" bgcolor=#FFFFFF cellpadding=3>
<tr bgcolor=#eeeddb>
<td>分类</td>
<td>标题</td>
<td>主题词</td>
<td>拟搞人</td>
<td>转来时间</td>
</tr>
<%
if isempty(msgArr) then
	response.write "<tr><td colspan=7>暂时没有待批公文。</td></tr>"
else
for i = 0 to UBound(msgArr,2)
%>
	<tr>
		<td nowrap><%=GetTableValue("tblDocClass","Name","ID",trim(msgArr(2,i)))%></td>
		<td><a href="DocDetail.htm?ID=<%=trim(msgArr(0,i))%>"><%=trim(msgArr(3,i))%></a></td>
		<td><a href="DocDetail.htm?ID=<%=trim(msgArr(0,i))%>"><%=trim(msgArr(4,i))%></a></td>
		<td nowrap><%=GetTableValue("tblUser","Name","ID",trim(msgArr(1,i)))%></td>
		<td nowrap><%=trim(msgArr(5,i))%></td>
	</tr>
<%
next
end if
%>

</table>


</BODY>
</HTML>
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function

%>
<!--#include file="../inc/conn_close.htm"-->
<script language=javascript>
function CheckDelete()
{
	return confirm("确实删除吗？");
}
</script>